cancel
Showing results for 
Search instead for 
Did you mean: 
Observer
Observer
8,920 Views
Registered: ‎06-13-2014

Installing plugins in version 2015.1

Jump to solution

HI,

 

I have been using Xilinx SDK versions 2014.1.... 2014.4 and all of those where very much capable of installing Eclipse plugins ( In particular I use Bracketeer wih CDT support) .

 

I have recently installed version 2015.1 and it works quite well for building/debugging existing projects.

 

What it can't do is install plugins. Whenever I try it I get this error screen:

 

Capture.PNG

 

Is there anything missing from my installation or is the problem particular to my machine ?

Any solution/ suggestion would be much appreciated.

 

 

 

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Observer
Observer
15,917 Views
Registered: ‎06-13-2014

Re: Installing plugins in version 2015.1

Jump to solution

I have done a lot of searching and tried just about everything with zero results until I found the following:

 

Modern versions of Eclipse support installing plugins via the "dropins" directory.

When SDK is installed that directory is not created but you can create it manually ( in the directory where "eclipse.exe" for the SDK is located ).

 

When you want to install a plugin just stop the SDK and get the plugin's "jar" or "zip" file. The "jar" file you can just put straight into that directory. "Zip" files generally need to be unpacked in it.

 

If you want you can give each plugin its own dedicated subfolder in the dropins directory.

 

Once that is done start a command line window where eclipse.exe is and type command "eclipse -clean".

Immediately close eclipse once it is up and running.

 

Restart "Xilinx SDK" in the usual way.

 

The "eclipse -clean" command apparently triggers a check of the "dropin" directory to see if there is anything new to install. If there is it gets installed.

 

I managed to install "Bracketeer" and "subclipse" that way.

View solution in original post

0 Kudos
1 Reply
Highlighted
Observer
Observer
15,918 Views
Registered: ‎06-13-2014

Re: Installing plugins in version 2015.1

Jump to solution

I have done a lot of searching and tried just about everything with zero results until I found the following:

 

Modern versions of Eclipse support installing plugins via the "dropins" directory.

When SDK is installed that directory is not created but you can create it manually ( in the directory where "eclipse.exe" for the SDK is located ).

 

When you want to install a plugin just stop the SDK and get the plugin's "jar" or "zip" file. The "jar" file you can just put straight into that directory. "Zip" files generally need to be unpacked in it.

 

If you want you can give each plugin its own dedicated subfolder in the dropins directory.

 

Once that is done start a command line window where eclipse.exe is and type command "eclipse -clean".

Immediately close eclipse once it is up and running.

 

Restart "Xilinx SDK" in the usual way.

 

The "eclipse -clean" command apparently triggers a check of the "dropin" directory to see if there is anything new to install. If there is it gets installed.

 

I managed to install "Bracketeer" and "subclipse" that way.

View solution in original post

0 Kudos